#makefile sample8 for EMX/GCC + GNU Make

LIBS=$(OOL)\lib\OOLW3E03.LIB

all: client.exe server.exe

%.obj: %.cpp
	gcc -Zmtd -Zcrtdll -Zomf -fhandle-exceptions -c $<

client.exe: client.res client.obj
	gcc -Zmtd -Zcrtdll -Zomf -o client.exe client.obj $(LIBS) client.def
	rc client.res client.exe
 

client.res: client.rc
	rc -r client.rc

client.obj: client.cpp\
	server.h



server.exe: server.res server.obj
	gcc -Zmtd -Zcrtdll -Zomf -o server.exe server.obj $(LIBS) server.def
	rc server.res server.exe

server.res: server.rc
	rc -r server.rc

server.obj: server.cpp
